MoreParserInternal::State Struct Reference

Internal: the state of a MoreParser. More...

## Public Member Functions

| State ()
| constructor
void | setDefaultColorList (int version)
| set the default color map

## Public Attributes

std::multimap< std::string, MWAWEntry > | m_typeEntryMap
| a map type -> entry
MWAWColor | m_backgroundColor
| the organization back page color
std::vector< MWAWColor > | m_colorList
| a list colorId -> color
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document

## Detailed Description

Internal: the state of a MoreParser.

## Constructor & Destructor Documentation

## State()

MoreParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## setDefaultColorList()

void MoreParserInternal::State::setDefaultColorList | ( | int | version | ) |

set the default color map

## Member Data Documentation

## m_actPage

int MoreParserInternal::State::m_actPage

the actual page

Referenced by State().

## m_backgroundColor

MWAWColor MoreParserInternal::State::m_backgroundColor

the organization back page color

Referenced by State().

## m_colorList

std::vector<MWAWColor> MoreParserInternal::State::m_colorList

a list colorId -> color

Referenced by setDefaultColorList(), and State().

## m_numPages

int MoreParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## m_typeEntryMap

std::multimap<std::string, MWAWEntry> MoreParserInternal::State::m_typeEntryMap

a map type -> entry

Referenced by State().

The documentation for this struct was generated from the following file:

- MoreParser.cxx